# MongoDeleteBatch::__construct

(PECL mongo >= 1.5.0)

MongoDeleteBatch::__construct — Description

### Description

public MongoDeleteBatch::__construct ( MongoCollection `$collection` [, array `$write_options` ] )

Constructs a batch of DELETE operations. See MongoWriteBatch.

### Parameters

`collection`

  The MongoCollection to execute the batch on. Its write concern will be copied and used as the default write concern if none is given as `$write_options` or during MongoWriteBatch::execute().

`write_options`

  An array of Write Options.

  key | value meaning
  --- | ---
  w (int|string) | Write concern value
  wtimeout (int) | Maximum time to wait for replication
  ordered | Determines if MongoDB must apply this batch in order. Ordered writes execute serially (i.e. one at a time) and execution will stop after the first error. Unordered writes may execute in parallel and execution will not stop after the first error. Defaults to `TRUE`
  j (bool) | Wait for journaling on the primary. This value is discouraged, use WriteConcern instead
  fsync (bool) | Wait for fsync on the primary. This value is discouraged, use WriteConcern instead

### Return Values

A new MongoDeleteBatch.